<?php
if( is_home() || is_front_page() ){
  $hideslider = get_theme_mod( 'hide_slider', '1' );
  if( $hideslider == '' ){
    $format_lite_pages = array();
    for( $bnr=1; $bnr<4; $bnr++ ) {
      $getbnr = absint( get_theme_mod('haircut-slide'.$bnr));
      if ( 'page-none-selected' != $getbnr ) {
        $format_lite_pages[] = $getbnr;
      }
    }
    if( !empty($format_lite_pages) ) :
      $args = array(
        'posts_per_page' => 3,
        'post_type' => 'page',
        'post__in' => $format_lite_pages,
        'orderby' => 'post__in'
      );
      $query = new WP_Query( $args );
      if ( $query->have_posts() ) : 
      $bnr = 1;
?>
<div class="haircut-slider">
  <div class="slider-wrapper theme-default">
    <div id="slider" class="nivoSlider">
      <?php
        $i = 0;
        while ( $query->have_posts() ) : $query->the_post();
          $i++;
          $format_lite_slideno[] = $i;
          $format_lite_slidetitle[] = get_the_title();
		  $format_lite_slidedesc[] = get_the_excerpt();
          $format_lite_slidelink[] = esc_url(get_permalink());
          ?>
          <img src="<?php the_post_thumbnail_url('full'); ?>" title="#slidecaption<?php echo esc_attr( $i ); ?>" data-thumb="<?php the_post_thumbnail_url('medium'); ?>" />
          <?php
          $bnr++;
        endwhile;
      ?>
    </div><!-- nivoslider -->

    <?php
      $k = 0;
      foreach( $format_lite_slideno as $format_lite_sln ){ ?>
      <div id="slidecaption<?php echo esc_attr( $format_lite_sln ); ?>" class="nivo-html-caption">
        <?php
          if( get_theme_mod('haircut_slider_sbttl') != '' ){
            echo '<h4>'.get_theme_mod('haircut_slider_sbttl').'</h4>';
          }
        ?>
        <h2><a href="<?php echo esc_url($format_lite_slidelink[$k] ); ?>"><?php echo esc_html($format_lite_slidetitle[$k] ); ?></a></h2>
        <?php
          if( get_theme_mod('haircut_slide_more',__('Learn More','haircut-lite') != '' )){
        ?>
          <a class="slide-button" href="<?php echo esc_url($format_lite_slidelink[$k] ); ?>">
            <?php echo esc_html(get_theme_mod('haircut_slide_more',__('Make an Appointment','haircut-lite')));?>
          </a>
        <?php
          }
        ?>
      </div>
      <?php $k++;
      wp_reset_postdata();
      } 
      endif; 
      endif; 
    ?>
	</div><!-- slider wrapper -->
  
	<?php
		$hideinfo = get_theme_mod('hide_company_info','1');
		if( $hideinfo == '' ){
			$infohead1 = get_theme_mod( 'haircut_company_info_head1', true );
			$infotext1 = get_theme_mod( 'haircut_company_info_text1', true );
			
			$infohead2 = get_theme_mod( 'haircut_company_info_head2', true );
			$infotext2 = get_theme_mod( 'haircut_company_info_text2', true );
			
			$infohead3 = get_theme_mod( 'haircut_company_info_head3', true );
			$infotext3 = get_theme_mod( 'haircut_company_info_text3', true );
			if( !empty( $infohead1 || $infotext1 || $infohead2 || $infotext2 || $infohead3 || $infotext3 ) ){
				echo '<div class="company-info">
					<div class="wrapper">
						<div class="flex flex-center">
							<div class="info-block">
								<h6>'.$infohead1.'</h6>
								<p>'.$infotext1.'</p>
							</div>
							<div class="info-block">
								<h6>'.$infohead2.'</h6>
								<p><strong>'.$infotext2.'</strong></p>
							</div>
							<div class="info-block">
								<h6>'.$infohead3.'</h6>
								<p>'.$infotext3.'</p>
							</div>
						</div>
					</div><!-- wrapper -->
				</div><!-- company info -->';
			}
		}
	?>
</div><!-- haircut-slider -->
<?php  }
}